com.pixelmed.transfermonitor

## Class TransferMonitor

- java.lang.Object
- - com.pixelmed.transfermonitor.TransferMonitor

-     public class TransferMonitor
      extends java.lang.Object

  A class that extends `FilterOutputStream` to track statistics on the transfers.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `countUp(int n)`
    `void` | `countUp(long n)`
    `static TransferMonitor` | `newTransferMonitor(TransferMonitoringContext transferMonitoringContext)`
    `static java.lang.String` | `report()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### newTransferMonitor

          public static TransferMonitor newTransferMonitor(TransferMonitoringContext transferMonitoringContext)

    - #### report

          public static java.lang.String report()

    - #### countUp

          public void countUp(int n)

    - #### countUp

          public void countUp(long n)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`